To receive notifications about scheduled maintenance, please subscribe to the mailing-list gitlab-operations@sympa.ethz.ch. You can subscribe to the mailing-list at https://sympa.ethz.ch

Commit e6aa9dab authored by mikolajr's avatar mikolajr
Browse files

Merge branch 'hotfix-0.3.3'

parents a0288f7b 0619f5d9
Pipeline #51809 failed with stages
in 36 seconds
......@@ -2,6 +2,12 @@
History
=======
0.3.3 (2019-05-08)
------------------
* Use PyPI labjack-ljm (no external dependencies)
0.3.2 (2019-05-08)
------------------
......
......@@ -5,24 +5,6 @@ Installation
============
Prerequisites
-------------
To install HVL Common Code Base, you need to install first :code:`LJMPython` package,
which is not hosted on PyPI. Run this command in your terminal:
.. code-block:: console
$ pip https://labjack.com/sites/default/files/software/Python_LJM_2018_10_19.zip#egg=LJMPython-1.19.0
If you don't have `pip`_ installed, this `Python installation guide`_ can guide
you through the process.
.. _pip: https://pip.pypa.io
.. _Python installation guide: http://docs.python-guide.org/en/latest/starting/installation/
Stable release
--------------
......@@ -35,6 +17,12 @@ To install HVL Common Code Base, run this command in your terminal:
This is the preferred method to install HVL Common Code Base, as it will always install
the most recent stable release.
If you don't have `pip`_ installed, this `Python installation guide`_ can guide
you through the process.
.. _pip: https://pip.pypa.io
.. _Python installation guide: http://docs.python-guide.org/en/latest/starting/installation/
From sources
------------
......
Sphinx>=1.7.1
sphinx_rtd_theme>=0.4.2
https://labjack.com/sites/default/files/software/Python_LJM_2018_10_19.zip#egg=LJMPython-1.19.0
hvl_ccb
pip
setuptools
......
......@@ -5,7 +5,7 @@
__author__ = """Mikołaj Rybiński, David Graber, Henrik Menne"""
__email__ = 'mikolaj.rybinski@id.ethz.ch, graber@eeh.ee.ethz.ch, ' \
'henrik.menne@eeh.ee.ethz.ch'
__version__ = '0.3.2'
__version__ = '0.3.3'
from . import comm # noqa: F401
from . import dev # noqa: F401
......
[bumpversion]
current_version = 0.3.2
current_version = 0.3.3
commit = True
tag = True
......
......@@ -13,7 +13,7 @@ with open('HISTORY.rst') as history_file:
requirements = [
'pyserial>=3.4',
'LJMPython>=1.19.0',
'labjack-ljm>=1.20.0',
'pymodbus==2.1.0',
'IPy>=0.83',
'bitstring>=3.1.5',
......@@ -26,8 +26,6 @@ requirements = [
]
dependency_links = [
'https://labjack.com/sites/default/files/software/Python_LJM_2018_10_19.zip'
'#egg=LJMPython-1.19.0',
]
setup_requirements = ['pytest-runner', ]
......@@ -61,6 +59,6 @@ setup(
test_suite='tests',
tests_require=test_requirements,
url='https://gitlab.ethz.ch/hvl_priv/hvl_ccb',
version='0.3.2',
version='0.3.3',
zip_safe=False,
)
......@@ -12,7 +12,6 @@ commands = flake8 hvl_ccb tests
setenv =
PYTHONPATH = {toxinidir}
deps =
https://labjack.com/sites/default/files/software/Python_LJM_2018_10_19.zip#egg=LJMPython
-r{toxinidir}/requirements_dev.txt
; If you want to make tox run the tests with the same versions, create a
; requirements.txt with the pinned versions and uncomment the following line:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment